-- freely inspired by MountMe
-- http://www.wowinterface.com/downloads/info19197-MountMe.html

-- thanks to SDPhantom for hints and code fix
-- http://www.wowinterface.com/forums/member.php?u=34145

-- it can used in a macro like: 
-- /mrc [btn:2] category2; [btn:3] category3; [mod:shift] category4; category 

-- if categories.lua was not found
MyCatMount_mrc = {};

-- future use, not implemented yet.
MountRndCatDB = {};

local prgname = "|cffffd200mntrndcat|r"

SLASH_MOUNTRNDCAT1 = "/mntrndcat";
SLASH_MOUNTRNDCAT2 = "/mrc";
SlashCmdList["MOUNTRNDCAT"] = function(args) 
	local category=SecureCmdOptionParse(args);
		
	if not category then 
		return; 
	end
	
	category=category:lower();

	if category=="" then 
		print(prgname);
		print("Usage: /mrc category");
		
	elseif MyCatMount_mrc[category] then
		if IsMounted() then
			Dismount();
		end

		local number=random(1,#MyCatMount_mrc[category]);
		local picked=MyCatMount_mrc[category][number]:lower();
        local msg=prgname .. " error: unable to summon \"" .. picked .. "\" from \"" .. category .. "\" category.";
		
		for index=1,GetNumCompanions("MOUNT") do
			local _,name=GetCompanionInfo("MOUNT",index);
			if name:lower()==picked then 
				msg = prgname .. " is summoning... " .. picked;
				CallCompanion("MOUNT",index);
				break;
			end
		end
		print(msg);
		
	else
		print(prgname .. " error: unable to find category " .. category .. " or categories.lua is missing");
		
	end
		
end